Subject: Address for Survival Inc.???

From: [email-masked] (CyberThug)
Date: 24 Sep 1994 04:31:03 -0400

There used to be a company in Albequerque (I believe), called Survival
Inc. Had lots of good stuff like long term storage food, grain mills,
hand-crank generators, military surplus, etc. I used to be on their
mailing list, but I haven't gotten a catalog from them in a long time.
Anybody know if they're still around? If so, got an address???

Thanks in advance,
      Kevin

   <sig file under destruction>